politas

CKAN (The Comprehensive Kerbal Archive Network); v1.25.4 - Kennedy

Recommended Posts

24 minutes ago, SpacedInvader said:

the file CopyEventsPropagator.cfg in B9PartSwitch can't be overwritten because I've manually installed another mod that has written to that file

Is the file actually there?

Share this post


Link to post
Share on other sites
Just now, SpacedInvader said:

Yes

How did it get there if CKAN didn't install it and you didn't install it manually?

 

Share this post


Link to post
Share on other sites
6 minutes ago, HebaruSan said:

How did it get there if CKAN didn't install it and you didn't install it manually?

 

I mean... that's kind of the question. I've installed exactly 4 mods manually into this version of the game. None of them have the file in their install zips at all. And I'm sure its not a leftover from a previous install of the game because I did a complete delete / reinstall of the game folder for the update to 1.5.1. The only thing I've ever had like this in the past was an update to  CKAN that for some reason caused most of my CKAN installed mods to switch to "AD"  because it didn't think they belonged to CKAN anymore, but that was like 2 years ago almost at this point and this is only affecting one file.

EDIT: I'll also point out that even though CKAN thinks the file in the B9PartSwitch folder is a manual install, it still lists B9PartSwitch itself as a CKAN install.

Edited by SpacedInvader

Share this post


Link to post
Share on other sites
48 minutes ago, SpacedInvader said:

I mean... that's kind of the question.

Well, if CKAN had installed the file, it wouldn't be trying to upgrade the mod now. So by process of elimination, my guess is that you installed it manually. I  know you don't think you did, but I can't rule out the likelihood that you forgot some additional mod that you installed manually or overlooked the file in one of the ZIPs.

48 minutes ago, SpacedInvader said:

EDIT: I'll also point out that even though CKAN thinks the file in the B9PartSwitch folder is a manual install, it still lists B9PartSwitch itself as a CKAN install.

That's consistent with installing 2.4.5 via CKAN first and then unpacking the 2.5.0 upgrade manually.

Share this post


Link to post
Share on other sites
21 minutes ago, HebaruSan said:

Well, if CKAN had installed the file, it wouldn't be trying to upgrade the mod now. So by process of elimination, my guess is that you installed it manually. I  know you don't think you did, but I can't rule out the likelihood that you forgot some additional mod that you installed manually or overlooked the file in one of the ZIPs.

That's consistent with installing 2.4.5 via CKAN first and then unpacking the 2.5.0 upgrade manually.

Again, I have not installed anything manually that has this file. Its not even a matter of "maybe I missed it" because there are literally only 4 files in my download directory related to KSP and those 4 are the 4 that I've already said do not have the file. In fact, after going through all of the downloaded zip files I have relating to KSP (including the CKAN downloads folder) that aren't separated out into a download backup folder from months / years ago, the only place that file exists is in the current zip downloaded by CKAN for B9PartSwitch. Based on this, I can only guess that this is some sort of versioning / metadata error where the new version doesn't think the file from the old version belongs to it. I've uninstalled B9PartSwitch (forcing the uninstall of 20 other mods now) and am going to try simply reinstalling the whole mess, though this in and of itself is odd because if that file had indicated that I'd manually reinstalled B9PartSwitch, I shouldn't have been able to uninstall it through CKAN anymore.

Edited by SpacedInvader

Share this post


Link to post
Share on other sites
12 minutes ago, SpacedInvader said:

Again, I have not installed anything manually that has this file. Its not even a matter of "maybe I missed it" because there are literally only 4 files in my download directory related to KSP and those 4 are the 4 that I've already said do not have the file.

Yes, I know you've already said that. But the file is there nonetheless.

12 minutes ago, SpacedInvader said:

In fact, after going through all of the downloaded zip files I have relating to KSP (including the CKAN downloads folder) that aren't separated out into a download backup folder from months / years ago, the only place that file exists is in the current zip downloaded by CKAN for B9PartSwitch.

That would be needed for it to attempt the upgrade that is failing.

12 minutes ago, SpacedInvader said:

Based on this, I can only guess that this is some sort of versioning / metadata error where the new version doesn't think the file from the old version belongs to it.

This file was not present in "the old version". It was newly added in 2.5.0. That's one of the clues pointing toward manual installation.

12 minutes ago, SpacedInvader said:

though this in and of itself is odd because if that file had indicated that I'd manually reinstalled B9PartSwitch, I shouldn't have been able to uninstall it through CKAN anymore.

That's not correct. Nothing about that scenario would stop CKAN from uninstalling.

Share this post


Link to post
Share on other sites
1 hour ago, HebaruSan said:

Yes, I know you've already said that. But the file is there nonetheless.

That would be needed for it to attempt the upgrade that is failing.

This file was not present in "the old version". It was newly added in 2.5.0. That's one of the clues pointing toward manual installation.

That's not correct. Nothing about that scenario would stop CKAN from uninstalling.

The only other possible cause then that I can see is that CKAN updated the mod, but experienced some sort of error leading to failing to update the version number and causing the file to become "unowned".

Ok, so this is definitely an error of some sort either with the downloaded zip or CKAN. I've completely uninstalled the offending mod, deleted the B9PartSwitch folder from gamedata and tried to reinstall from CKAN and I get the same error about overwriting even though there is literally nothing in the folder that it would be overwriting. Its as if it copies the file into the folder, doesn't recognize it, and then immediately throws the error saying that it won't overwrite the file.

 

EDIT: I was finally able to get the updated version to install after going into the download directory for CKAN and deleting the B9PartSwitch archives so that it was forced to re-download the file.

EDIT 2: As an addendum to all of this, I immediately ran into a similar issue with the next mod I tried to update. The solution looks like its going to be a full delete and reinstall of everything at this point.

Edited by SpacedInvader

Share this post


Link to post
Share on other sites

CKAN Client v1.25.4 "Kennedy" is released!

68747470733a2f2f75706c6f61642e77696b696d


Changes since 1.25.3

Features

  • [Netkan] Purge downloads that failed to index from Netkan cache (#2526 by: HebaruSan; reviewed: politas)
  • [Multiple] Add download count column to GUI (#2518 by: HebaruSan; reviewed: politas)
  • [Netkan] Catch invalid $kref in Netkan (#2516 by: HebaruSan; reviewed: politas)
  • [Netkan] Handle KSP-AVC krefs (#2517 by: HebaruSan; reviewed: politas)
  • [Multiple] One Cache to Rule Them All (#2535 by: HebaruSan; reviewed: politas)
  • [Multiple] Configurable cache size limit (#2536 by: HebaruSan; reviewed: politas)
  • [GUI] Minimize CKAN to tray and automatic refreshing (#2565 by: Olympic1; reviewed: HebaruSan)
  • [GUI] Show mod info for change set, recs/sugs, and providers (#2556 by HebaruSan; reviewed: politas)
  • [Netkan] Add Netkan option to overwrite cached files (#2582 by HebaruSan; reviewed: politas)
  • [GUI] Show recommendations of installed modules in GUI (#2577 by HebaruSan; reviewed: politas)
  • [GUI] Remove newline from Done progress message (#2580 by HebaruSan; reviewed: politas)
  • [GUI] Set window properties on X11 (#2586 by: HebaruSan; reviewed: politas)
  • [Build] Add tests for recent changes (#2583 by: HebaruSan; reviewed: politas)

Bugfixes

  • [GUI] Show innermost download exceptions (#2528 by: HebaruSan; reviewed: politas)
  • [GUI] Fix grid colors for dark themes (#2529 by: HebaruSan; reviewed: politas)
  • [GUI] Fix YesNoDialog layout (#2530 by: HebaruSan; reviewed: politas)
  • [GUI] Handle exception for missing libcurl (#2531 by: HebaruSan; reviewed: politas)
  • [Core] Catch illegal characters in ZIP exceptions (#2515 by: HebaruSan; reviewed: politas)
  • [Netkan] Handle two-part KSP-AVC versions (#2532 by: HebaruSan; reviewed: politas)
  • [Core] Stop auto-moving cached files (#2538 by: HebaruSan; reviewed: politas)
  • [GUI] Fix toolbar background colors for dark themes (#2541 by: HebaruSan; reviewed: Olympic1)
  • [GUI] Fix text colors for dark themes (#2540 by: HebaruSan; reviewed: Olympic1)
  • [GUI] Clean up mod list spacebar handling in GUI (#2543 by: HebaruSan; reviewed: politas)
  • [Core] Use fresh WebClient for fallback URLs (#2539 by: HebaruSan; reviewed: politas)
  • [GUI] Clean up popup positioning in GUI (#2544 by: HebaruSan; reviewed: politas)
  • [Core] Don't throw exceptions when resetting cache dir (#2547 by: HebaruSan; reviewed: politas)
  • [GUI] Fix crash at startup on Windows risen in #2536 (#2557 by: HebaruSan; reviewed: Olympic1)
  • [Core] Allow game version of "any" with a vref (#2553 by: HebaruSan; reviewed: Olympic1)
  • [Core] Fix null ref exception when repo has empty ckan file (#2549 by: HebaruSan; reviewed: Olympic1)
  • [Multiple] Avoid null ksp_version in Netkan (#2558 by: HebaruSan; reviewed: politas)
  • [GUI] Show latest updates after refresh (#2552 by: HebaruSan; reviewed: politas)
  • [GUI] Don't show status progress bar till actually installing (#2560 by: HebaruSan; reviewed: Olympic1)
  • [Core] Purge 5.5 MB of bloat from registry.json (#2179 by: HebaruSan; reviewed: Olympic1)
  • [GUI] Allow uninstallation of conflicting mods (#2561 by: HebaruSan; reviewed: Olympic1)
  • [Core] Cache listings of legacy cache dirs (#2563 by: HebaruSan; reviewed: politas)
  • [Netkan] Treat AVC min without max as open range (#2571 by: HebaruSan; reviewed: politas)
  • [GUI] Restore uninstallation of dependencies (#2579 by: HebaruSan; reviewed: politas)
  • [GUI] Fix tray icon menu position and color on Linux (Gnome) (#2587 by: HebaruSan; reviewed: politas)
  • [GUI] Fix crash on selecting filtered-out provider module (#2585 by: HebaruSan; reviewed: politas)

Notes

  • You don't need to download AutoUpdate.exe. This is used internally by CKAN when a new version is released.
  • Windows users must have .NET 4.5 installed. Simply download the ckan.exe file and either store it in your game directory or somewhere in your filesystem where you have non-admin write access. Never run the CKAN client as Administrator!
  • Mac/Linux/Mono users: please use the new cert-sync tool, to update mono's certificate store.
  • Mac Users: You should only need to download and install the CKAN.dmg
  • The .deb file is for automated installation on Debian-based Linux distributions - Use dpkg-install/apt-get/apt to install the .deb file and you will then be able to run CKAN with just ckan instead of mono ckan.exe. All required libraries should be pulled in as dependencies.
  • This release of the CKAN has not been tested on Mono releases prior to 5.0.1. We highly recommend upgrading to the latest stable release of Mono from mono-project.com You will need the equivalent of the mono-complete package for your OS.

Release image public domain, courtesy USGS

Comments

  • A huge release, worthy of a huge name. @HebaruSan has been working hard making the CKAN client better and better.
  • A major change that will improve things for users with multiple instances is the One Cache to Rule Them All (#2535), which moves the CKAN cache into your home directory, so if you have a high-speed drive dedicated to your games, it won't be clogged up with old mod versions. You can of course move it wherever you want in the CKAN Settings
  • @Olympic1 has added a Minimise to Tray feature, with scheduled refreshing of metadata.
  • And a bunch more changes that help new mod releases get indexed faster and avoid clogs in the process.
  • We've had a bit of a disaster with our domain name - The domain was held by a team member who has moved on to other interests and never got handed over. We'll now be using "ksp-ckan.space" anywhere we were previously using "ksp-ckan.org". This process is still being finalised, so there may still be some systems that haven't fully switched over. Update your links now, and don't go to any URLs with the old domain name; there could be malware!
Edited by politas
Credit for change
  • Like 5

Share this post


Link to post
Share on other sites
13 minutes ago, politas said:

[GUI] Show recommendations of installed modules in GUI (#2577 by HebaruSan; reviewed: politas)

I always love to see a fix for something I've reported (the 'side fix') :)

16 minutes ago, politas said:
  • A major change that will improve things for users with multiple instances is the One Cache to Rule Them All (#2535), which moves the CKAN cache into your home directory, so if you have a high-speed drive dedicated to your games, it won't be clogged up with old mod versions. You can of course move it wherever you want in the CKAN Settings

Oh, this sounds amazing, my SSD appreciates it :cool:

18 minutes ago, politas said:

A huge release, worthy of a huge name. @HebaruSan has been working hard making the CKAN client better and better.

Definitely a HUGE thanks @HebaruSan , keep up the good work!
And of course also thanks to everyone else how works on CKAN, it's just an amazing tool and it keeps getting better :)

  • Like 2

Share this post


Link to post
Share on other sites

Why there are mods that have already been updated to version 1.5.1 and still do not appear in the list of CKAN as updated?

Share this post


Link to post
Share on other sites
19 minutes ago, Dux Aquila said:

Why there are mods that have already been updated to version 1.5.1 and still do not appear in the list of CKAN as updated?

I'd like to help answer that, but it's impossible if you don't tell us which mods you're talking about.

Share this post


Link to post
Share on other sites
On 11/11/2018 at 11:10 AM, HebaruSan said:

Check the Relationships tab:

OuaqN8c.png

Oh, thanks! That makes a lot more sense! :D

Edited by Maple Kerman
  • Like 1

Share this post


Link to post
Share on other sites

Hi,

mods sometimes depend on mods which had been taken over by another maintainer and the newer versions are published as a separate mod (continued, expanded, reloaded, etc). A good example are FerramAerospaceResearch and FerramAerospaceResearchContinued.

I'd like to make my mod dependent on FAR in a way that would first check whether original one is available to be used in my KSP version - if it is then FAR is installed by CKAN and if not then FARContinued is installed. With such a setup, original FAR would be installed on 1.3.1 but FARContinued on 1.5.1.

Is this possible?

Share this post


Link to post
Share on other sites
4 minutes ago, Raphaello said:

Is this possible?

Yes; this will pull in whichever of them is available (or prompt the user to choose if multiple), because both of those mods "provide" FAR:

"depends": [ { "name": "FAR" } ]

https://github.com/KSP-CKAN/NetKAN/blob/b7e2197e93cfb604332f4b9edf3e7c5d4cdabc89/NetKAN/FerramAerospaceResearch.netkan#L17

https://github.com/KSP-CKAN/NetKAN/blob/b7e2197e93cfb604332f4b9edf3e7c5d4cdabc89/NetKAN/FerramAerospaceResearchContinued.netkan#L16

  • Like 1

Share this post


Link to post
Share on other sites
11 minutes ago, HebaruSan said:

 both of those mods "provide" FAR:

I guess this trick is not possible for HangarExtender or RCSBuildAid as they do not "provide" anything. Thanks anyway!

Edited by Raphaello

Share this post


Link to post
Share on other sites
10 minutes ago, Raphaello said:

I guess this trick is not possible for HangarExtender or RCSBuildAid as they do not "provide" anything. Thanks anyway!

Correct, but if it's a need for it, we could arrange for them to "provide" something.

Share this post


Link to post
Share on other sites

Kerbal-Academy-Contract-Pack is showing 1.10 as the current version in CKAN, but 1.2.1 was released way back in May. Is the metadata broken?  Reason this came up is Contract Configurator updated, and I thought I'd re-add some old contract packs now that I've started playing again.

https://github.com/Mark-Kerbin/Kerbal-Academy-Contract-Pack/releases

Share this post


Link to post
Share on other sites
1 hour ago, Murdabenne said:

Kerbal-Academy-Contract-Pack is showing 1.10 as the current version in CKAN, but 1.2.1 was released way back in May. Is the metadata broken?  Reason this came up is Contract Configurator updated, and I thought I'd re-add some old contract packs now that I've started playing again.

https://github.com/Mark-Kerbin/Kerbal-Academy-Contract-Pack/releases

That's the "default version" according to SpaceDock:

https://spacedock.info/api/mod/1819

    "default_version_id": 8818,

        {
            "changelog": "-Parameter Error Corrected",
            "download_path": "/mod/1819/Kerbal%20Academy%20Contract%20Pack/download/1.1.10",
            "friendly_version": "1.1.10",
            "game_version": "1.4.4",
            "id": 8818
        },

I don't know how that's controlled on SpaceDock, but I would assume there's something like a checkbox or dropdown where mod authors specify which download is the main download.

Share this post


Link to post
Share on other sites

tangled dependencies on outside servers.  Yow.  I wonder if the netkan should list the github as the download site.

Share this post


Link to post
Share on other sites
20 minutes ago, Murdabenne said:

tangled dependencies on outside servers.  Yow.  I wonder if the netkan should list the github as the download site.

Probably not, looks like the author has his reasons:

CLCvMox.png

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now